Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Interface GLConstants

All Known Implementing Classes:
  GLGraphics, GLTexture, GLTextureParameters

    public interface GLConstants

This interface class defines constants used in the glgraphics package.

Field Summary
`static int` | `COLOR` This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each.
`static int` | `DOUBLE4` This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.
`static int` | `FLOAT4` This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.
`static int` | `GL_DEPTH_STENCIL`
`static int` | `GL_DEPTH24_STENCIL8`
`static int` | `GL_UNSIGNED_INT_24_8`
`static java.lang.String` | `GLGRAPHICS` This constant identifies the GLGraphics renderer.
`static int` | `LINEAR` This constant identifies the linear texture filter .
`static int` | `LINEAR_MIPMAP_LINEAR` This constant identifies the linear/linear function to build mipmaps .
`static int` | `LINEAR_MIPMAP_NEAREST` This constant identifies the linear/nearest function to build mipmaps .
`static int` | `NEAREST` This constant identifies the nearest texture filter .
`static int` | `NEAREST_MIPMAP_LINEAR` This constant identifies the nearest/linear function to build mipmaps .
`static int` | `NEAREST_MIPMAP_NEAREST` This constant identifies the nearest/nearest function to build mipmaps .
`static int` | `NORMAL` This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.
`static int` | `RECTANGULAR` This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

Field Detail

### GLGRAPHICS

    static final java.lang.String GLGRAPHICS

  This constant identifies the GLGraphics renderer.

  See Also:
    Constant Field Values

### NORMAL

    static final int NORMAL

  This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.

  See Also:
    Constant Field Values

### RECTANGULAR

    static final int RECTANGULAR

  This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

  See Also:
    Constant Field Values

### COLOR

    static final int COLOR

  This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each.

  See Also:
    Constant Field Values

### FLOAT4

    static final int FLOAT4

  This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.

  See Also:
    Constant Field Values

### DOUBLE4

    static final int DOUBLE4

  This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.

  See Also:
    Constant Field Values

### NEAREST

    static final int NEAREST

  This constant identifies the nearest texture filter .

  See Also:
    Constant Field Values

### LINEAR

    static final int LINEAR

  This constant identifies the linear texture filter .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_NEAREST

    static final int NEAREST_MIPMAP_NEAREST

  This constant identifies the nearest/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_NEAREST

    static final int LINEAR_MIPMAP_NEAREST

  This constant identifies the linear/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_LINEAR

    static final int NEAREST_MIPMAP_LINEAR

  This constant identifies the nearest/linear function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_LINEAR

    static final int LINEAR_MIPMAP_LINEAR

  This constant identifies the linear/linear function to build mipmaps .

  See Also:
    Constant Field Values

### GL_DEPTH_STENCIL

    static final int GL_DEPTH_STENCIL

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_24_8

    static final int GL_UNSIGNED_INT_24_8

See Also:
  Constant Field Values

### GL_DEPTH24_STENCIL8

    static final int GL_DEPTH24_STENCIL8

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD